# Byte-compiled / optimized / DLL files
__pycache__/
*.pyc
*.pyo
*.pyd

# Virtual environment
venv/
env/
.venv/
.venv3/
.Python
*.sqlite3

data/

logs/

# IDE-specific files
.idea/
.vscode/

# Compiled source
*.com
*.class
*.dll
*.exe
*.o
*.so

# Logs and databases
*.log
*.sql
*.sqlite

# Output files
dist/
build/
*.egg-info/
*.egg

# OS-specific files
.DS_Store
Thumbs.db

# Miscellaneous
*.bak
*.swp
*.tmp
*.tmp.*
*.~*


# Jupyter Notebook
.ipynb_checkpoints/
/test/
